## org.codehaus.groovy.ast.expr
Class ConstantExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.expr.Expression
              org.codehaus.groovy.ast.expr.ConstantExpression

Direct Known Subclasses:
  AnnotationConstantExpression

    public class ConstantExpression

extends Expression

Represents a constant expression such as null, true, false

Version:
  $Revision: 8040 $
Author:
  James Strachan

Field Summary
`static ConstantExpression` `EMPTY_STRING`
`static ConstantExpression` `EMTPY_EXPRESSION`
`static ConstantExpression` `FALSE`
`static ConstantExpression` `NULL`
`static ConstantExpression` `TRUE`
`static ConstantExpression` `VOID`

Constructor Summary
`ConstantExpression(Object value)`

Method Summary
`String` `getText()`
`Object` `getValue()`
`String` `toString()`
`Expression` `transformExpression(ExpressionTransformer transformer)` Return a copy of the expression calling the transformer on any nested expressions
`void` `visit(GroovyCodeVisitor visitor)`

Methods inherited from class org.codehaus.groovy.ast.expr.Expression
`getType, setType, transformExpressions`

Methods inherited from class org.codehaus.groovy.ast.ASTNode
`getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setSourcePosition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### VOID

    public static final ConstantExpression VOID

### NULL

    public static final ConstantExpression NULL

### TRUE

    public static final ConstantExpression TRUE

### FALSE

    public static final ConstantExpression FALSE

### EMPTY_STRING

    public static final ConstantExpression EMPTY_STRING

### EMTPY_EXPRESSION

    public static final ConstantExpression EMTPY_EXPRESSION

Constructor Detail

### ConstantExpression

    public ConstantExpression(Object value)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### visit

    public void visit(GroovyCodeVisitor visitor)

  Overrides:
    `visit` in class `ASTNode`

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

  Description copied from class: `Expression`
  Return a copy of the expression calling the transformer on any nested expressions

  Specified by:
    `transformExpression` in class `Expression`

### getValue

    public Object getValue()

  Returns:
    the value of this constant expression

### getText

    public String getText()

  Overrides:
    `getText` in class `ASTNode`

Copyright © 2003-2008 The Codehaus. All rights reserved.